Bug 567110

Summary: Review Request: libucil - Library to render text and graphic overlays onto video images
Product: [Fedora] Fedora Reporter: Robert Scheck <redhat-bugzilla>
Component: Package ReviewAssignee: Thomas Janssen <thomasj>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dominik, fedora-package-review, kdudka, notting, thomasj
Target Milestone: ---Flags: thomasj: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libucil-0.9.8-1.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-26 19:47:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 567109    
Bug Blocks: 567111    

Description Robert Scheck 2010-02-21 17:34:07 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/libucil.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/libucil-0.9.8-1.src.rpm
Description:
Unicap provides a uniform interface to video capture devices. It allows
applications to use any supported video capture device via a single API.
The related ucil library provides easy to use functions to render text
and graphic overlays onto video images.


Please note, that this a re-review request, because the unicap package was
splitted up by upstream into libunicap, libucil and libunicapgtk. Ensure to
follow http://fedoraproject.org/wiki/Package_Renaming_Process when reviewing
this package. Note that only all three libraries together replace the unicap
package, that's why there's no provides, just obsoletes.

Comment 1 Thomas Janssen 2010-02-25 12:13:51 UTC
Ok, this is a re-review request due to upstream name change.

OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
XX - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
be48e766945a9a54bdf50fc0bbe39200  libucil-0.9.8.tar.gz
NN - Package needs ExcludeArch
OK - BuildRequires correct
NN - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
NN - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
OK - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.

NN - Package is a GUI app and has a .desktop file

OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - final provides and requires are sane:

Issues:
License included in the tar says GPLv3+ But the source says GPLv2+. Would be nice to know what upstream really want. Though i cant find anything that says it's considered a blocker.

I have checked for obsoletes and provides. I had a chat in IRC with the
maintainer and this seems to be the sane way.

APPROVED

Comment 2 Robert Scheck 2010-02-25 13:55:26 UTC
Thank you for reviewing the package.


New Package CVS Request
=======================
Package Name: libucil
Short Description: Library to render text and graphic overlays onto video images
Owners: robert
Branches: EL-5 F-11 F-12 F-13
InitialCC:

Comment 3 Jason Tibbitts 2010-02-25 17:48:55 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-02-26 19:38:30 UTC
libucil-0.9.8-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libucil-0.9.8-1.fc13

Comment 5 Fedora Update System 2010-02-26 19:39:45 UTC
libucil-0.9.8-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libucil-0.9.8-1.el5

Comment 6 Fedora Update System 2010-02-26 19:40:38 UTC
libucil-0.9.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libucil-0.9.8-1.fc12

Comment 7 Fedora Update System 2010-02-26 19:41:04 UTC
libucil-0.9.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libucil-0.9.8-1.fc11

Comment 8 Fedora Update System 2010-03-14 13:40:40 UTC
libucil-0.9.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-03-16 00:47:10 UTC
libucil-0.9.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-16 00:51:35 UTC
libucil-0.9.8-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-03-18 22:37:36 UTC
libucil-0.9.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.